# Ogre::GLTexturePtr Class Reference

Specialisation of SharedPtr to allow SharedPtr to be assigned to GLTexturePtr. More...

`#include <OgreGLTexture.h>`

Inheritance diagram for Ogre::GLTexturePtr:

List of all members.

## Public Member Functions

| GLTexturePtr ()
| GLTexturePtr (GLTexture *rep)
| GLTexturePtr (const GLTexturePtr &r)
| GLTexturePtr (const ResourcePtr &r)
GLTexturePtr & | operator= (const ResourcePtr &r)
| Operator used to convert a ResourcePtr to a GLTexturePtr.
GLTexturePtr & | operator= (const TexturePtr &r)
| Operator used to convert a TexturePtr to a GLTexturePtr.
GLTexture & | operator * () const
GLTexture * | operator-> () const
GLTexture * | get () const
void | bind (GLTexture *rep)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
GLTexture * | getPointer () const
bool | isNull (void) const
void | setNull (void)

## Protected Member Functions

void | release (void)
virtual void | destroy (void)

## Protected Attributes

GLTexture * | pRep
unsigned int * | pUseCount

## Detailed Description

Specialisation of SharedPtr to allow SharedPtr to be assigned to GLTexturePtr.

Note:
  Has to be a subclass since we need operator=. We could templatise this instead of repeating per Resource subclass, except to do so requires a form VC6 does not support i.e. ResourceSubclassPtr<T> : public SharedPtr<T>

Definition at line 89 of file OgreGLTexture.h.

## Constructor & Destructor Documentation

Ogre::GLTexturePtr::GLTexturePtr | ( |  | ) |

| Definition at line 92 of file OgreGLTexture.h.

Ogre::GLTexturePtr::GLTexturePtr | ( | GLTexture * | rep | ) | `[explicit]`

| Definition at line 93 of file OgreGLTexture.h.

Ogre::GLTexturePtr::GLTexturePtr | ( | const GLTexturePtr & | r | ) |

| Definition at line 94 of file OgreGLTexture.h.

Ogre::GLTexturePtr::GLTexturePtr | ( | const ResourcePtr & | r | ) |

| Definition at line 95 of file OgreGLTexture.h. References Ogre::SharedPtr< T >::getPointer(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, Ogre::ResourcePtr, and Ogre::SharedPtr< T >::useCountPointer().

## Member Function Documentation

void Ogre::SharedPtr< GLTexture >::bind | ( | GLTexture * | rep | ) | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 100 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< GLTexture >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

| Definition at line 146 of file OgreSharedPtr.h.

GLTexture * Ogre::SharedPtr< GLTexture >::get | ( |  | ) | const`[inherited]`

| Definition at line 94 of file OgreSharedPtr.h.

GLTexture * Ogre::SharedPtr< GLTexture >::getPointer | ( |  | ) | const`[inherited]`

| Definition at line 112 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< GLTexture >::isNull | ( | void |  | ) | const`[inherited]`

| Definition at line 114 of file OgreSharedPtr.h.

GLTexture & Ogre::SharedPtr< GLTexture >::operator * | ( |  | ) | const`[inherited]`

| Definition at line 92 of file OgreSharedPtr.h.

GLTexture * Ogre::SharedPtr< GLTexture >::operator-> | ( |  | ) | const`[inherited]`

| Definition at line 93 of file OgreSharedPtr.h.

GLTexturePtr& Ogre::GLTexturePtr::operator= | ( | const TexturePtr & | r | ) |

| Operator used to convert a TexturePtr to a GLTexturePtr. Definition at line 126 of file OgreGLTexture.h. References Ogre::SharedPtr< Texture >::getPointer(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, Ogre::SharedPtr< GLTexture >::release(), and Ogre::SharedPtr< Texture >::useCountPointer().

GLTexturePtr& Ogre::GLTexturePtr::operator= | ( | const ResourcePtr & | r | ) |

| Operator used to convert a ResourcePtr to a GLTexturePtr. Definition at line 109 of file OgreGLTexture.h. References Ogre::SharedPtr< T >::getPointer(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, Ogre::SharedPtr< GLTexture >::release(), Ogre::ResourcePtr, and Ogre::SharedPtr< T >::useCountPointer().

void Ogre::SharedPtr< GLTexture >::release | ( | void |  | ) | `[protected, inherited]`

| Definition at line 129 of file OgreSharedPtr.h. Referenced by operator=().

void Ogre::SharedPtr< GLTexture >::setNull | ( | void |  | ) | `[inherited]`

| Definition at line 116 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< GLTexture >::unique | ( |  | ) | const`[inherited]`

| Definition at line 108 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< GLTexture >::useCount | ( |  | ) | const`[inherited]`

| Definition at line 109 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< GLTexture >::useCountPointer | ( |  | ) | const`[inherited]`

| Definition at line 110 of file OgreSharedPtr.h.

## Member Data Documentation

GLTexture * Ogre::SharedPtr< GLTexture >::pRep `[protected, inherited]`

| Definition at line 46 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< GLTexture >::pUseCount `[protected, inherited]`

| Definition at line 47 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreGLTexture.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:10:36 2006